%define name gringotts
%define version 1.2.8
%define release 3mdk
%define summary An electronic strongbox

Summary:     %summary
Name: 		%{name} 
Version: 	%{version}
Release: 	%{release}
Source0: 	http://devel.pluto.linux.it/projects/Gringotts/current/%{name}-%{version}.tar.bz2
Source1:         %{name}-48.png
Source2:         %{name}-32.png
Source3:         %{name}-16.png
Patch:		http://www.shlomifish.org/open-source/bits-and-bobs/gringotts-patch/gringotts-shlomif-patch-rev3.diff.bz2
URL:		http://devel.pluto.linux.it/projects/Gringotts/
License:          GPL
Group:           File tools  
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgtk+2-devel
Buildrequires: automake1.7
BuildRequires: libgringotts-devel >= 1.2.0
BuildRequires: popt-devel
 
%description
Gringotts is a small but (hopely ;) useful utility that stores sensitive
data (passwords, credit card numbers, girlfriends' addresses) in an
organized, optimized and most of all very secure form.
It uses libGringotts to provide a strong level of encryption, just aiming
to be as trustworthy as possible.

%prep
%setup -q
%patch -p0
aclocal-1.7
automake-1.7

%build

%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%find_lang %name
# install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
title="Gringotts"\
longtitle="%summary"\
command="%_bindir/%{name}"\
icon="%{name}.png" \
section="System/File Tools"
EOF

# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo -----------------------------------------------------
echo   md5sum of %{_bindir}/gringotts
echo
md5sum %{_bindir}/gringotts|(read A B; echo $A)
echo
echo use this value to check program integrity at any time
echo -----------------------------------------------------
echo
%{update_menus}

%postun
%{clean_menus}


%files -f %name.lang
%defattr(-, root, root)
%doc README ChangeLog AUTHORS TODO COPYING BUGS
%attr(4755,root,root) %{_bindir}/*
%{_libdir}/menu/* 
%{_datadir}/pixmaps/gringotts.xpm
%{_datadir}/gnome/apps/Utilities/gringotts.desktop
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.2.8-3mdk
- replace the patch by Shlomi's

* Wed Aug  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.8-2mdk
- fix menu
- add source URL
- build with deprecated gtk api

* Tue Oct 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- new version

* Tue Apr 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.6-2mdk
- fix buildrequires

* Thu Apr 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- new version

* Wed Apr 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- new version

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- requires latest libgringotts
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-3mdk
- rebuild

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-2mdk
- put the full path into the menu entry

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-1mdk
- new version

* Thu Nov 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- buildrequires libgringotts-devel 1.1.1
- new version

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre2.1mdk
- new version

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- new version

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-2mdk
- fix requires

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- quiet tar
- fix icon in menu entry
- set suid root in the file list, not in post
- use spec from Charles A Edwards <eslrahc@bellsouth.net>

* Sat Oct 19 2002 Charles A Edwards <eslrahc@bellsouth.net>
- first Mandrake pkg 
- adapted spec from http://devel.pluto.linux.it/projects/Gringotts  
